Loading...
Searching...
No Matches
SamRecordHelperTest Class Reference

## Static Public Member Functions

static void | testSamRecordHelper (const char *fileName)

## Detailed Description

Definition at line 21 of file TestSamRecordHelper.h.

## Member Function Documentation

## testSamRecordHelper()

void SamRecordHelperTest::testSamRecordHelper | ( | const char * | fileName | ) |

static

Definition at line 31 of file TestSamRecordHelper.cpp.

{
SamFile inSam;
assert(inSam.OpenForRead(fileName));
SamFileHeader samHeader;
assert(inSam.ReadHeader(samHeader));
validateHeader(samHeader);
SamRecord samRecord;
assert(inSam.ReadRecord(samHeader, samRecord) == true);
validateRead1(samRecord);
// Validate the entire sequence matches.
assert(SamRecordHelper::checkSequence(samRecord,
TestValidate::READ1_POS,
TestValidate::READ1_SEQ.c_str()) == 0);
// The read start position is 1010.
// The sequence is CCGAA.
assert(SamRecordHelper::checkSequence(samRecord, 1010, "CCGAA") == 0);
// Test not matching.
assert(SamRecordHelper::checkSequence(samRecord, 1010, "NNNNN") == -1);
// Test match, but not at the start.
assert(SamRecordHelper::checkSequence(samRecord, 1011, "CGA") == 1);
// Test match not at the start, but to the end.
assert(SamRecordHelper::checkSequence(samRecord, 1011, "CGAA") == 1);
// Test run over the end.
assert(SamRecordHelper::checkSequence(samRecord, 1011, "CGAAC") == -1);
}
SamFileHeader
This class allows a user to get/set the fields in a SAM/BAM Header.
Definition SamFileHeader.h:35
SamFile
Allows the user to easily read/write a SAM/BAM file.
Definition SamFile.h:36
SamFile::ReadHeader
bool ReadHeader(SamFileHeader &header)
Reads the header section from the file and stores it in the passed in header.
Definition SamFile.cpp:450
SamFile::ReadRecord
bool ReadRecord(SamFileHeader &header, SamRecord &record)
Reads the next record from the file & stores it in the passed in record.
Definition SamFile.cpp:514
SamFile::OpenForRead
bool OpenForRead(const char *filename, SamFileHeader *header=NULL)
Open a sam/bam file for reading with the specified filename, determing the type of file and SAM/BAM b...
Definition SamFile.cpp:93
SamRecordHelper::checkSequence
static int checkSequence(SamRecord &record, int32_t pos0Based, const char *sequence)
Helper method that checks if the record's read sequence starting at the specified 0-based reference p...
Definition SamRecordHelper.cpp:21
SamRecord
Class providing an easy to use interface to get/set/operate on the fields in a SAM/BAM record.
Definition SamRecord.h:52

The documentation for this class was generated from the following files:

- bam/test/TestSamRecordHelper.h
- bam/test/TestSamRecordHelper.cpp